# Custom Files

### JSON structure

```json
{
    "metadata": {
        "timestamp_utc": "2020-01-19 02:58:28",
        "custom_files": [
            {
                "bucket_id": "51",
                "title": "You are beautiful",
                "artist": "James",
                "acrid": "5343bc191634b042622bf474ed46121a",
                "audio_id": "3"
            }
        ]
    },
    "status": {
        "msg": "Success",
        "version": "1.0",
        "code": 0
    }
}
```

### Metadata fields

| Name                              | Description                                                                           |
| --------------------------------- | ------------------------------------------------------------------------------------- |
| custom\_files                     | Custom uploaded file fields                                                           |
| arcid                             | ACRCloud unique identifier                                                            |
| title                             | File name                                                                             |
| audio\_id                         | User defined identifier                                                               |
| play\_offset\_ms                  | Position of the recognition in the file if the file was playing (millisecond)         |
| \*db\_begin\_time\_offset\_ms     | Position of beginning of the recognition on database file (millisecond)               |
| \*db\_end\_time\_offset\_ms       | Position of end of the recognition on database file (millisecond)                     |
| \*sample\_begin\_time\_offset\_ms | Position of beginning of the recognition in sample file sent by SDK/API (millisecond) |
| \*sample\_end\_time\_offset\_ms   | Position of end of the recognition in sample file sent by SDK/API (millisecond)       |

{% hint style="info" %}
***\* fields are visible in Broadcast Monitoring service only, if you want to use these fields in recognition service, please contact us.***

**Please note: Only&#x20;*****Title, ARCID, Audio\_ID*****&#x20;are required fields.**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acrcloud.com/reference/identification-api/metadata/custom-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
